Tripnet - Critical Live Issue #44173
Sales Report
07/26/2018 08:24 am - Sreerag Prasannan

Status: Closed Start date: 07/30/2018
Priority: Normal Due date: 07/31/2018
Assignee: % Done: 100%
Category: Functionality Estimated time: 0.00 hour
Target version: Spent time: 24.50 hours
End_Date: 07/27/2018 Areas Affected:

remarks: Files Changed:

DB Changes: Initial Planned Hours:

Keys & Permissions:

Description

In Sales report for Hotel, Make sure the Dates displayed are correct.

Example if an entry is RECONFIRMED on 10th July 2018

And it is REFUNDED TO CUSTOMER on 25th July 2018

and when sales report is taken on 25th JULY, we will not see 2 entries, Now Both entries are seen in same date. Above is an
example, please fix for ALL ,REFUNDED to customer status in sales report for Hotel.

Make sure it is fixed in print and export to excel as well.

Subtasks:

History

#1 - 07/26/2018 08:28 am - Sreerag Prasannan
- File Date.png added

#2 - 07/26/2018 09:19 am - Jubin J
- Due date set to 07/26/2018
- Status changed from New to Assigned

- Assignee set to Vinu Tomy

#3 - 07/26/2018 09:34 am - Vinu Tomy

- Status changed from Assigned to In Progress

#4 - 07/26/2018 06:25 pm - Ratheesh S
- Due date changed from 07/26/2018 to 07/27/2018

#5 - 07/26/2018 06:35 pm - Vinu Tomy
- % Done changed from 0 to 50

.Change procedure of hotel sales report in refund to customer case to show date of booking date as booked done date and refund to customer date as
refund done date.Do it in refund to customer cases.
.In case of all status duplicate row is creating in code so we have to find another solution to show date of booked for booked status and refund to

customer for customer status.
#6 - 07/27/2018 04:45 pm - Vinu Tomy

- Status changed from In Progress to Fixed not Tested
- % Done changed from 50 to 100

- End_Date set to 07/27/2018

1. Change procedure for all status for hotel to get booking date of the transaction in case of refund to customer.

2. Added a procedure 'Usp_GetSalesReport_HotelAllStatus' to get details of transaction which refund to customer status is not in selected range but
booked is with in the selected range

3. Change in code side to add selected booked items from procedure to all status table.

4. Checking the new publish release.

#7 - 08/01/2018 02:54 pm - Sreerag Prasannan
- Status changed from Fixed not Tested to Not Fixed

Issue still exist , in Staging, Passed connection string to Mr Vipindas

#8 - 08/01/2018 06:03 pm - Vinu Tomy

- Status changed from Not Fixed to In Progress

#9 - 08/01/2018 06:08 pm - Vinu Tomy

.Tested with live database date range showing is correct.Issue not showing refund to customer is conversion of provider price and date range

filter.Date range issue fixed and need to fix the conversion and check the date is coming is correctly

#10 - 08/02/2018 09:31 am - Vinu Tomy
- Status changed from In Progress to Fixed not Tested

1.Updated the sp Usp_GetSalesReport_Hotel to change conversion of provider price to varchar

2.Check data in coming in given date rnage and reconfirmed and refund to customer date is showing correctly.

#11 - 08/28/2018 10:13 am - Sreerag Prasannan
- Status changed from Fixed not Tested to Closed
- Assignee deleted (Vinu Tomy)

delivered to Live

Files

Date.png 106 KB 07/26/2018 Sreerag Prasannan
